#!/bin/bash
# Capturar tela com import
# Criado por Fbio Berbert de Paula <fberbert no Gmail>
#
# Uso:
#
# ./capturar.sh [-r] [-o arquivo] [-s segundos]
#

#inicializando variveis 
root=0
segundos=0
arquivo="/tmp/captura.$$.png"

while getopts :o:s:r VAR; do
	case $VAR in
		o) arquivo=${OPTARG} ;;
		s) segundos=${OPTARG} ;;
		r) root="1" ;;
	esac
done

#aguardando o tempo informado
sleep $segundos

#capturando a tela
if [ $root -eq 0 ]
then
	import $arquivo
else
	import -w root $arquivo
fi

echo "Tela salva em: $arquivo"


